searchData={"items":[{"type":"module","title":"RedisPool","doc":"# RedisPool\n\nA module that provides a Redis connection pool using NimblePool.","ref":"RedisPool.html"},{"type":"module","title":"Installation - RedisPool","doc":"```elixir\ndef deps do\n  [\n    {:redis_pool_xyz, \"~> 0.1\"}\n  ]\nend\n```\nSee [DOC](https://hexdocs.pm/redis_pool_xyz)","ref":"RedisPool.html#module-installation"},{"type":"module","title":"Usage - RedisPool","doc":"1. Add a module using `RedisPool`:\n   ```Elixir\n   defmodule MyRedis do\n     @moduledoc false\n\n     use RedisPool, otp_app: :my_app\n\n   end\n   ```\n\n2. Configure your Redis:\n    ```Elixir\n    url = \"redis://localhost:6379\"\n    config = [url: url]\n    config :my_app, MyRedis, config\n    ```\n\n3. Add your redis module to supervisor:\n   ```Elixir\n   children = [\n      MyRedis\n   ]\n   ```\n\n4. Enjoy your journey!\n   ```Elixir\n   MyRedis.command([\"GET\", \"foo\"]) == {:ok, nil}\n   MyRedis.command([\"SET\", \"foo\", \"bar\"]) == {:ok, \"OK\"}\n   MyRedis.command([\"GET\", \"foo\"]) == {:ok, \"bar\"}\n   MyReids.pipeline([[\"SET\", \"foo1\", \"bar1\"], [\"SET\", \"foo2\", \"bar2\"]])\n   ```","ref":"RedisPool.html#module-usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}